• /
  • ログイン

Update the PHP agent

To take full advantage of New Relic's latest features, enhancements, and important security patches, we recommend you update your PHP agent to the latest version. For additional information about specific agent updates, refer to the PHP agent release notes.

This document explains how to update the agent for:

  • RedHat and CentOS
  • Ubuntu and Debian

To update via tar archive, follow the tar archive installation procedures. (Procedures to install and update with the tar archive are the same.)

Use the newrelic-php5 package

The package name for the New Relic for PHP agent is newrelic-php5.

ヒント

Although the name references PHP 5, this package works for all supported PHP versions, including PHP 7 versions.

Update using your package manager

To update the PHP agent:

  1. Replace the agent files using your preferred package manager for your system:

  2. RedHat or CentOS: Run the newrelic-install script, and follow the install script's confirmation prompt before overwriting an old installation.

    sudo newrelic-install install

    Ubuntu or Debian: Follow the package manager's prompts to run the newrelic-install script as part of its installation process.

  3. Stop any residual newrelic-daemon processes by running

    kill $(pgrep newrelic-daemon)

    If the newrelic-daemon is configured to start in external mode, use your operating system's service manager to restart it.

  4. Restart your web server (Apache, Nginx, PHP-FPM, etc.).

  5. Wait a few minutes for your application to send data to New Relic.

Update unsupported agent versions

重要

If you are updating from an older agent version, including major version jumps, review the following list for changes in functionality.

Migration

Comments

8.0.0.204

Release notes: PHP agent 8.0.0.204

TLS replaces the newrelic.daemon.ssl ini setting.

To increase security, the newrelic.daemon.ssl ini setting has been removed. Transport Layer Security (TLS) will now always be used in communication with the New Relic collector.

7.0.0.186

Release notes: PHP agent 7.0.0.186

PHP 5.2 is no longer supported.

New Relic highly encourages you to use a supported version of PHP (5.6 or higher). If you want to continue running the New Relic PHP agent with PHP 5.2, we recommend using agent version 6.9. However, in this case, we can only offer limited support.

5.0.0.115

Release notes: PHP agent 5.0.0.115

Daemon command line flags have been renamed.

For customers who start the daemon manually, you can find the newly renamed command line flags with the -h or --help flags. The following old flags will be removed in a future release:

  • [-p pidfile]
  • [-d level]
  • [-c config]
  • [-l logfile]
  • [-P port]
  • [-s]
  • [-n]
  • [-b SSL-certificate-bundle]
  • [-S SSL-certificate-path]
  • [-H host]
  • [-x proxy]
  • [-a auditlog]

Troubleshooting after update

If you updated PHP and the agent stopped working or reporting data, follow the troubleshooting procedures.

For more help

If you need more help, check out these support and learning resources:

その他のヘルプ

さらに支援が必要な場合は、これらのサポートと学習リソースを確認してください:

問題を作成するこのページを編集する
Copyright © 2020 New Relic Inc.